function setSurface(cubeWidth, cubeHeight, cubeDepth, surfaceFolder) {
  EventCenter.emit("SetSurface", {
    cubeWidth,
    cubeHeight,
    cubeDepth,
    surfaceFolder,
  });
  return true;
}
/// surfacesList 是六个数据
function changeSurface(cubeWidth, cubeHeight, cubeDepth, ...surfacesList) {
  EventCenter.emit("ChangeSurface", {
    cubeWidth,
    cubeHeight,
    cubeDepth,
    surfacesList: surfacesList,
  });
  return true;
}
// 传入 sourceenum == "Carotid" && docarotidaiclip=="True";
function mdlFileLoaded(sourceenum, docarotidaiclip) {
  SpriteManager.mdlFileLoaded(sourceenum, docarotidaiclip);
}

function adjustedImage(surfaceFolder, meshObjectImage) {
  EventCenter.emit("ResetCubeImage", surfaceFolder);
  ClipPlaneManager.refreshClipPlanesMesh(meshObjectImage);
}

function getCurrentClipInformation() {
  return ClipPlaneManager.getSelectedClipInfo();
}

function release() {
  EventCenter.emit("RemoveCube");
}
